uniform sampler2D vTexture;
varying highp vec2 aCoord;
uniform sampler2D curveTexture;

void main() {
   lowp vec4 textureColor = texture2D(vTexture, aCoord);
   lowp float redCurveValue = texture2D(curveTexture, vec2(textureColor.r, 0.0)).r;
   lowp float greenCurveValue = texture2D(curveTexture, vec2(textureColor.g, 0.0)).g;
   lowp float blueCurveValue = texture2D(curveTexture, vec2(textureColor.b, 0.0)).b;
   gl_FragColor = vec4(redCurveValue, greenCurveValue, blueCurveValue, textureColor.a);
}
