#extension GL_OES_EGL_image_external : require
precision mediump float;
varying vec2 textureCoordinate;
uniform sampler2D vTexture;
uniform sampler2D vBackgroundTexture;

void main() {
    vec2 st = textureCoordinate.st;

    vec4 textureColor = texture2D(vTexture, textureCoordinate);
    vec4 backgroundColor = texture2D(vBackgroundTexture, st);
    float alpha = textureColor.a;

    gl_FragColor = vec4(textureColor.rgb * alpha + backgroundColor.rgb * (1. - alpha), 1.0);
}
