precision mediump float;
varying highp vec2 textureCoordinate;

uniform sampler2D vTexture;
uniform float degree;
void main()
{
    vec2 st = textureCoordinate.st;
    float s = sin(degree);
    float c = cos(degree);
    st.s = st.s - 0.5;
    st.t = st.t - 0.5;
    mat2 mat = mat2(c, -s, s, c);
    st = mat * st;
    st.t = st.t + 0.5;
    st.s = st.s + 0.5;
    gl_FragColor = texture2D(vTexture, st);
}