varying highp vec2 aCoord;

uniform sampler2D vTexture;
uniform sampler2D vUVTexture;

void main()
{
    mediump vec3 yuv;

    float y = texture2D(vTexture, aCoord).r;
    vec2 uv = texture2D(vUVTexture, aCoord).ra - vec2(0.5, 0.5);

    float r = y + 1.370705 * uv.x;
    float g = y - 0.698001 * uv.x - 0.337633 * uv.y;
    float b = y + 1.732446 * uv.y;

    gl_FragColor = vec4(r, g, b, 1.0);
}